!(function (t) {
    t(document).ready(function () {
        "use strict";
        t(".fancy_dhgformdtaa").submit(function () {
            t(".fancy_sdhi").addClass("fancyLoaderCss"), t(".fancy_djkfhjhj").hide();
            var o = t(this).serialize();
            return (
                t
                    .post("options.php", o)
                    .error(function () {
                        alert("error");
                    })
                    .success(function () {
                        t(".fancy_sdhi").removeClass("fancyLoaderCss"), t(".fancy_djkfhjhj").show(), t(".fancy_djkfhjhj").html('<span class="dashicons dashicons-saved"></span>');
                    }),
                !1
            );
        }),
            t(".fancyfilter_color").wpColorPicker(),
            t(".fancyfilter_bgcolor").wpColorPicker(),
            t(".fancyfilter-accordion_tab").click(function () {
                t(".fancyfilter-accordion_tab").each(function () {
                    t(this).toggleClass("active"), t(this).toggleClass("active");
                }),
                    t(this).parent().toggleClass("active"),
                    t(this).toggleClass("active");
            }),
            t(document).ready(function () {

				t("#tr-" + t("#id_application_method").val()).show();
                t("#id_application_method").on("change", function () {
                    t(".method_options_tn").hide(), t("#tr-" + t(this).val()).show();
                });

            }),
            t(document).ready(function () {
			
				 t("#tr-" + t("#id_free_method").val()).show();
				
                t("#id_style_method").on("change", function () {
                    t("#tr-st-free").hide(), t(".method_options").hide(), t("#tr-" + t(this).val()).show();
                });
					
            }),
            t(document).ready(function () {
                t("#fancyfilter_pro_features").click(function () {
                    t("#click_pro").toggle();
                });
            }),
            t(document).ready(function () {
                t("#fancyfilter_pro_features").click(function () {
                    t("#click_pro_v").toggle();
                });
            }),
            t(document).ready(function () {
                t("#fancyfilter_pro_pagination").click(function () {
                    t("#fancyfilter_pro_pagination_dis").toggleClass("checked");
                });
            }),
            t(document).ready(function () {
                t("#fancyfilter_pro_readmore").click(function () {
                    t("#fancyfilter_pro_readmore_dis").toggleClass("checked");
                });
            }),
            t(document).ready(function () {
				
			t("#tr-" + t("#clmn_per_row").val()).show();	
                t("#clmn_per_row").on("change", function () {
                    t(".cled").hide(), t("#tr-" + t(this).val()).show();
                });
            }),
            t(document).ready(function () {
                t("#id_free_method").on("change", function () {
                    t(".method_options").hide(), t("#tr-" + t(this).val()).show();
                });
            });
    });
})(jQuery),
    (function (t) {
        t(document).ready(function () {
            "use strict";
            t("#facncy_portfolios,#facncy_meta_post,#facncy_meta_product,#slct_post_types,#yoo_slct_post_types,#slct_portfoli_types").select2({ placeholder: "Select an Option", allowClear: !0, tags: !0 }),
                t(".yoo_display_option").on("select2:select", function (o) {
                    (o = o.params.data.element), (o = t(o));
                    o.detach(), t(this).append(o), t(this).trigger("change");
                });
        });
    })(jQuery);

(function($) {
jQuery(document).ready(function($) {

  // Suffix that will be used on the classes of the content divs.
  var tab_suffix = '-tab';

  // Not necessary, just to enable people to choose whatever tab_suffix they want.
  function escape_regexp(str) {
    return str.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, "\\$&");
  }

  // Get the class ending with tab_suffix from an element.
  function get_tab_name_from_class(el) {
    var tab_class_pattern = new RegExp('\\S*' + escape_regexp(tab_suffix));
    if ($(el) && $(el).attr('class')) {
      return $(el).attr('class').match(tab_class_pattern)[0];
    }
  }

  // Update the dom with the selected tab.
  function hash_content_update() {

    var active_section,
      tab_names;

    // Get all classes ending with -tab from div elements directly inside .tab-content.
    tab_names = $('div.tab-content > div').map(function() {
      var tab_name = get_tab_name_from_class($(this));
      if (tab_name) {
        return tab_name.split(tab_suffix)[0];
      }
    }).get();

    if (tab_names.length > 0) {

      // Show first tab initially.
      active_section = tab_names[0];

      // Check if the url hash matches one of the tab names.
      if (document.location.href.split('#')[1] && tab_names.indexOf(document.location.href.split('#')[1]) > -1) {
        active_section = document.location.href.split('#')[1];
      }
      // Handle tab contents.
      $('div.tab-content div.active').removeClass('active');
      $('div.tab-content div.' + active_section + tab_suffix).addClass('active');

      // Handle tab menu.
      $('div.tab-nav ul li.active').removeClass('active');
      $('div.tab-nav ul li a[href="#' + active_section + '"]').closest('li').addClass('active');

    }

  }

  // Set listener for hashchange
  $(window).bind('hashchange', function() {
    hash_content_update();
  });

  // Run the initial content update.
  hash_content_update();

});

}(jQuery));